
#include "salidas.h"

int salidas[256][32];
int ultConexion=-1;

void PrepararSalidas(void){
 int i,j;
 for(i=0;i<256;i++)
  for(j=0;j<32;j++)
   salidas[i][j]=0;
}

void PonerSalida(int origen, int direccion, int destino) {
  /*salidas[origen][direccion]=destino;*/
  int i;

  i=0;
  while(salidas[origen][i]!=0)i+=2;
  salidas[origen][i]=direccion;
  salidas[origen][i+1]=destino;
}

int Salida(int origen, int direccion) {
  /*return salidas[origen][direccion];*/
  int i;
  i=0;
  while((i<32)&&(salidas[origen][i]!=direccion))i+=2;
  if(i==32)return 0;
  return salidas[origen][i+1];
}

void dumpSalidas(void){

};
